Tryton - Issues

 

Issue7043

Title Wrong error message for missing account on product
Priority bug Status resolved
Superseder Nosy List ced, pokoli, reviewbot, roundup-bot
Type crash Components account_product
Assigned To pokoli Keywords review
Reviews 37901002, 40921002
View: 37901002, 40921002

Created on 2018-01-03.18:33:20 by pokoli, last changed by roundup-bot.

Messages
New changeset fc6f33b02ef4 by Sergi Almacellas Abellana in branch '4.6':
Use numbered arguments for missing account on Products
http://hg.tryton.org/modules/account_product/rev/fc6f33b02ef4
msg37874 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-01-23.13:06:29
I'm not allowed to push on maintenance branches:

abort: acl: user "pokoli" not allowed on branch "4.6" (changeset "7a1f81d56f03")

Could you push it please?
msg37873 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-01-23.13:04:47
It is missing the commit to 4.6 branch.
New changeset 323b7ddedd3b by Sergi Almacellas Abellana in branch 'default':
Use same string for missing account on Template and Category
http://hg.tryton.org/modules/account_product/rev/323b7ddedd3b
review40921002 updated at https://codereview.tryton.org/40921002/#ps60001
review40921002 updated at https://codereview.tryton.org/40921002/#ps40001
review40921002 updated at https://codereview.tryton.org/40921002/#ps20001
New review40921002 at https://codereview.tryton.org/40921002/#ps1
msg37565 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-01-11.17:51:15
Here is review40921002 for 4.6 branch
msg37563 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-01-11.17:35:08
> We need a way to prevent such mistakes. This is not the first time it happens and this is a big issue because the code crashes.

The only way is to make tests ensure that the correct error message is raised. And this will imply modify the test whenever an error message is changed which will increase the maintenance.
msg37515 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-01-05.12:38:27
We also need a fix for the affected series which does not change the error message string.
msg37507 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-01-03.19:41:05
For the record, here is the right rev e0fbb6c75fca
msg37506 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-01-03.19:39:47
We need a way to prevent such mistakes. This is not the first time it happens and this is a big issue because the code crashes.
review37901002 updated at https://codereview.tryton.org/37901002/#ps1
msg37502 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-01-03.18:33:20
Changesete0fbb6c75fca updated the error message by using keyword subsitions but only for the Category model. The same error message is used on Template, so the error string should be also updated.
History
Date User Action Args
2018-01-23 18:46:15roundup-botsetstatus: chatting -> resolved
messages: + msg37907
2018-01-23 13:06:29pokolisetmessages: + msg37874
2018-01-23 13:04:48cedsetstatus: resolved -> chatting
messages: + msg37873
2018-01-23 12:23:53roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg37871
2018-01-18 12:41:26reviewbotsetmessages: + msg37679
2018-01-18 11:45:13reviewbotsetmessages: + msg37678
2018-01-18 10:37:40reviewbotsetmessages: + msg37675
2018-01-11 18:08:03reviewbotsetmessages: + msg37566
2018-01-11 18:08:02reviewbotsetreviews: 37901002 -> 37901002, 40921002
2018-01-11 17:51:16pokolisetmessages: + msg37565

Showing 10 items. Show all history (warning: this could be VERY long)